[PATCH 4/4] templates: add an example pre-auto-gc hook

!MAILaRCHIVE_VOTE_RePLACE
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
To: Linus Torvalds <torvalds@...>
Cc: Bj?rn Steinbrink <B.Steinbrink@...>, Junio C Hamano <gitster@...>, <git@...>
Date: Monday, March 31, 2008 - 5:37 am

It disabled git-gc --auto when you are on battery.

Signed-off-by: Miklos Vajna <vmiklos@frugalware.org>
---
 templates/hooks--pre-auto-gc |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100644 templates/hooks--pre-auto-gc

diff --git a/templates/hooks--pre-auto-gc b/templates/hooks--pre-auto-gc
new file mode 100644
index 0000000..40c4759
--- /dev/null
+++ b/templates/hooks--pre-auto-gc
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# An example hook script to verify if you are on battery.  Called by
+# git-gc --auto with no arguments.  The hook should exit with non-zero
+# status after issuing an appropriate message if it wants to stop the
+# auto repacking.
+#
+# To enable this hook, make this file executable.
+
+defer=0
+
+if [ -e /sys/class/power_supply/AC/online ]; then
+	if [ "`cat /sys/class/power_supply/AC/online`" = 0 ]; then
+		defer=1
+	fi
+elif [ -e /proc/acpi/ac_adapter/AC/state ]; then
+	if grep -q 'off-line' /proc/acpi/ac_adapter/AC/state; then
+		defer=1
+	fi
+elif [ -e /proc/apm ]; then
+	if grep -q '0$' /proc/apm; then
+		defer=1
+	fi
+fi
+
+if [ "$defer" = 1 ]; then
+	echo "Auto packing deferred; on battery"
+	exit 1
+fi
-- 
1.5.5.rc2.4.g283c6

--
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
[PATCH] git gc --auto: defer on battery, Miklos Vajna, (Sun Mar 30, 7:14 pm)
Re: [PATCH] git gc --auto: defer on battery, Brandon Casey, (Mon Mar 31, 12:24 pm)
Re: [PATCH] git gc --auto: defer on battery, Miklos Vajna, (Mon Mar 31, 1:38 pm)
Re: [PATCH] git gc --auto: defer on battery, Brandon Casey, (Mon Mar 31, 2:31 pm)
Re: [PATCH] git gc --auto: defer on battery, Johannes Schindelin, (Sun Mar 30, 7:41 pm)
Re: [PATCH] git gc --auto: defer on battery, Miklos Vajna, (Sun Mar 30, 7:53 pm)
Re: [PATCH] git gc --auto: defer on battery, Björn, (Sun Mar 30, 7:26 pm)
Re: [PATCH] git gc --auto: defer on battery, Linus Torvalds, (Sun Mar 30, 7:46 pm)
Re: [PATCH] git gc --auto: defer on battery, Joey Hess, (Mon Mar 31, 2:08 pm)
[PATCH 4/4] templates: add an example pre-auto-gc hook, Miklos Vajna, (Mon Mar 31, 5:37 am)
Re: [PATCH 4/4] templates: add an example pre-auto-gc hook, Brian Gernhardt, (Mon Mar 31, 2:30 pm)
[PATCH 3/4] Documentation/hooks: add pre-auto-gc hook, Miklos Vajna, (Mon Mar 31, 5:36 am)
[PATCH 1/4] git-gc --auto: add pre-auto-gc hook, Miklos Vajna, (Mon Mar 31, 5:35 am)
[PATCH 0/4] add pre-auto-gc hook for git-gc --auto, Miklos Vajna, (Mon Mar 31, 5:35 am)
Re: [PATCH] git gc --auto: defer on battery, Junio C Hamano, (Sun Mar 30, 10:06 pm)
[PATCH] commit: resurrect "gc --auto" at the end, Johannes Schindelin, (Wed Apr 2, 9:40 am)
Re: [PATCH] commit: resurrect "gc --auto" at the end, Johannes Schindelin, (Wed May 14, 11:07 am)
Re: [PATCH] commit: resurrect "gc --auto" at the end, Junio C Hamano, (Wed May 14, 2:13 pm)
Re: [PATCH] commit: resurrect "gc --auto" at the end, Holger Schurig, (Thu May 15, 2:44 am)
Re: [PATCH] commit: resurrect "gc --auto" at the end, Johannes Schindelin, (Wed May 14, 2:40 pm)
Re: [PATCH] git gc --auto: defer on battery, Linus Torvalds, (Mon Mar 31, 11:02 am)
Re: [PATCH] git gc --auto: defer on battery, Björn, (Mon Mar 31, 12:43 pm)
fetchmail (Re: [PATCH] git gc --auto: defer on battery), Linus Torvalds, (Mon Mar 31, 1:00 pm)
Re: [PATCH] git gc --auto: defer on battery, Björn, (Sun Mar 30, 8:00 pm)
[PATCH] git gc --auto: defer on battery, Miklos Vajna, (Sun Mar 30, 7:39 pm)
Re: [PATCH] git gc --auto: defer on battery, Björn, (Sun Mar 30, 7:55 pm)